elhacker.net cabecera Bienvenido(a), Visitante. Por favor Ingresar o Registrarse
¿Perdiste tu email de activación?.

 

 


Tema destacado: (TUTORIAL) Aprende a emular Sentinel Dongle By Yapis


+  Foro de elhacker.net
|-+  Programación
| |-+  Programación General
| | |-+  .NET (C#, VB.NET, ASP) (Moderador: kub0x)
| | | |-+  una pregunta muy basica
0 Usuarios y 1 Visitante están viendo este tema.
Páginas: [1] Ir Abajo Respuesta Imprimir
Autor Tema: una pregunta muy basica  (Leído 1,074 veces)
taul

Desconectado Desconectado

Mensajes: 90


Ver Perfil
una pregunta muy basica
« en: 7 Julio 2013, 03:40 am »

si desarrollo una aplicación de escritorio basado en .net 3.5 y el usuario tiene un framework superior, la aplicación corre lo mismo?


En línea

Eleкtro
Ex-Staff
*
Desconectado Desconectado

Mensajes: 9.696



Ver Perfil
Re: una pregunta muy basica
« Respuesta #1 en: 7 Julio 2013, 10:16 am »

si desarrollo una aplicación de escritorio basado en .net 3.5 y el usuario tiene un framework superior, la aplicación corre lo mismo?

Eso depende bastante.

Framework 4.X difiere del 3.X, no es lo mismo, el Core es muy distinto.

Pero por suerte el Framework 4.X tiene un soporte de compatibilidad para correr casi todas las aplicaciones basadas en Framework 3.X (y 2.0) sin necesidad de que el FW 3.X esté instalado, Como he dicho tiene soporte para correrlas casi todas, PERO!... no todas, así que si dicha aplicación usa algo que sólamente dependa del FW 3.5 entonces si que necesitarás que el FW 3.5 esté instalado en dicho PC.

Lo mejor que puedes hacer es instalarte una máquina virtual con Windows 8, y comprobarlo por ti mismo, Win8 lleva FW 4.5 instalado por defecto (Y no está instalado el FW 3.5, pero incluye soporte para instalarlo por separado), así que es el mejor SO donde puedes testear tu problema.

Si es una aplicación sencilla no debería haber ningún problema, sólo tienes que hacerte esta pregunta: ¿Porque Windows 8 sólamente lleva instalado FW 4.5?, pues porque generálmente funcionarán las aplicaciones desarolladas en las versiones inferiores de FW, así que no es necesario más.

EDITO: De todas formas Microsoft siempre intenta promover el uso del FW 4.X a los desarrolladores, y yo me imagino que la razón de esto debe ser porque en un futuro no muy lejano en próximas versiones del FW Microsoft dejará de lado la compatibilidad con el FW 2.X y 3.X (Como hace Microsoft con el Windows XP), así que deberías plantearte si reálmente usar FW 3.5 o actualizar tu aplicación al uso del FW 4.0 como mínimo.

Saludos!


« Última modificación: 7 Julio 2013, 10:32 am por EleKtro H@cker » En línea


taul

Desconectado Desconectado

Mensajes: 90


Ver Perfil
Re: una pregunta muy basica
« Respuesta #2 en: 7 Julio 2013, 17:59 pm »

Gracias por responder..si tendria que actualizarme..sino que me da fiaca formatear la pc..tengo windows XP sp2.
En línea

Páginas: [1] Ir Arriba Respuesta Imprimir 

Ir a:  

Mensajes similares
Asunto Iniciado por Respuestas Vistas Último mensaje
[Pregunta 'basica'] Que es Melt?
Análisis y Diseño de Malware
CAR3S? 3 2,650 Último mensaje 15 Abril 2011, 22:34 pm
por CAR3S?
Pregunta muy basica
Java
Xedrox 3 1,709 Último mensaje 7 Julio 2011, 03:39 am
por Xedrox
Perl pregunta basica use Switch;
Scripting
Pablo Videla 0 1,028 Último mensaje 28 Octubre 2013, 18:41 pm
por Pablo Videla
Pregunta basica de c++
Programación C/C++
JuanitoPerez999999 7 1,537 Último mensaje 11 Julio 2016, 05:03 am
por JuanitoPerez999999
Pregunta básica sobre POO
Programación C/C++
matver 4 1,196 Último mensaje 14 Agosto 2017, 00:46 am
por ivancea96
WAP2 - Aviso Legal - Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines